<?php
session_start();  
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
  $id_dist = $sesion->id;
$idin=$id_dist;
  echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>";$ok=0;
$continuar=0;

extract($_POST);
$qp = "select  nombre from usuarios_ci where idusuarios_ci='$idin'";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rp = mysqli_fetch_object($cp);	
		$centro = $rp->nombre;
 $id_cd=$sesion->id;
  $ok=0;
$qp3 = "select cantidad, fechac, horac from cortecaja where id_cd=$id_cd order by fechac DESC";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$cajaini = $rp3->cantidad;
	$fechai = $rp3->fechac;
    $horai = $rp3->horac;
	 $observaciones = $rp3->observaciones;
$qp31 = "select curdate() as lafech";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$hoy = $rp31->lafech;
	
if($fechai==$hoy){
	echo"<br><br><br><center><font size=\"+1\"  color=\"#990000\"><b>EL corte del d&iacute;a ya fue realizado<br>
	No es posible realizar movimientos</b></font><br><br>
	<form name=\"Agrega\" action=\"cortecaja2.php\" method=\"post\"><input type=hidden name=total value=$cajaini />
	<input type=hidden name=ver value=1 />
<input type=\"submit\" name=\"aceptar\" id=\"aceptar\" value=\"Ver Reporte\" /></form>";
	
	}else{	
 echo"<html><body bgcolor=\"ffeaff\" >   <center><br><font size=\"5\"><b>Otras Salidas de Producto (nota de Salida)</b></font><br><br>";

if(@$lista2!="Continuar"){				
		 
			
				
			echo"<form name=\"Selec_Prod_Pedido\" action=\"otrassali.php\" method=\"post\"><table border=\"1\">
		
		<tr><td>A nombre de:</td><td><input type=\"text\" name=nombrec size=\"35\" maxlenght=\"40\"></td></tr>
		<tr><td>Concepto:</td><td><input type=\"text\" name=concepto size=\"35\" maxlenght=\"30\"></td></tr>
		<tr><td>Autoriza:</td><td><input type=\"text\" name=autoriza size=\"20\" maxlenght=\"20\"></td></tr>
		<tr><td>C&oacute;digo Aut:</td><td><input type=\"text\" name=codigo size=\"5\"></td></tr>
		<tr><td>Tipo de Pago:</td><td><select name=\"pago\">
		<option value=\"1\">Efectivo</option>\n
		<option value=\"2\">Deposito</option>\n
		<option value=\"3\">Tarjeta</option>\n
		<option value=\"4\">Por Pagar</option>\n
		</select></td></tr>
		
		</table><br>";
	
	if($idin<=11 || $idin==82 || $idin==84 || $idin==85 || $idin==86|| $idin==88 || $idin==89 || $idin==90){
			if($idin==84)
			{
			echo"<table><tr><td><font size=\"+2\">Centro de Entrega:</font></td><td><select name = \"cdent\">
			<option value=\"$idin\">$idin $centro</option>
			<option value=\"8\">8 Almacen GDL</option>
			<option value=\"12\">12 Almacen General</option>
			<option value=\"17\">17 Alejandro Saltillo</option>
			<option value=\"5\">5 Monica Maciel</option>
			<option value ='53'>53 Fausto Hernandez </option>
			<option value='54'>54 Manuel Mayren</option>
			<option value='63'>63 Carlos Lopez</option>
			<option value='90'>90 Orlando Cisneros</option>
			</td></tr></table><br>";
			}	
			else{
			echo"<table><tr><td><font size=\"+2\">Centro de Entrega:</font></td><td><select name = \"cdent\">
			<option value=\"$idin\">$idin $centro</option>
			<option value=\"8\">8 Almacen GDL</option>
			<option value=\"12\">12 Almacen General</option>
			<option value=\"85\">85 Cristy</option>
			<option value='90'>90 Orlando Cisneros</option>
			</select>
		    

			</td></tr></table><bR>";
		}
			
		}
else
	if($idin==13){
			echo"<table><tr><td><font size=\"+2\">Centro de Entrega:</font></td><td><select name = \"cdent\">
			<option value='$idin'>$idin $centro</option>
			<option value='5'>5 Mexico</option>
			<option value='8'>8 Almacen GDL</option>
			<option value='12'>12 Almacen General</option>
			<option value='17'>17 Saltillo</option>
			<option value='53'>53  Villahermosa</option>
			<option value='54'>54 Cancun</option>
			
		
			<option value='90'>90 Orlando Ciscneros</option>
			</select>
			</td></tr></table><bR>";
			
			
			
		}
		else
		{echo"<table><tr><td>Centro de Entrega:</td><td><b>$idin $centro</b>
			<input type=hidden name=cdent value=\"$idin\"></td></tr></table><br>";}
		

		echo"	<input type=\"submit\" value=\"Continuar\" name=\"lista2\">
			

  		    </form>"; }
			else
		
		{
			$qp3 = "select  nombre from usuarios_ci where idusuarios_ci='$cdent'";
$cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rp3 = mysqli_fetch_object($cp3);	
		$centroe = $rp3->nombre;
			switch($pago)
				{
					
					case 1: $elpago="EFECTIVO"; break;
					case 2: $elpago="DEPOSITO"; break;
					case 3: $elpago="TARJETA"; break;
					case 4: $elpago="PORPAGAR"; break;
					case 5: $elpago="REGALIAS"; break;
				}

			
	function autorizar(){
	$qp3 = "SELECT month(curdate()) as mes, day(curdate())as dia, hour(curtime())as hora";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$lahorah = $rp3->hora;
	$eldiah = $rp3->dia;
	$elmesh = $rp3->mes;
	$codigo= $lahorah."".$eldiah."".$elmesh;
	return $codigo;
}		
			
			
			
	 $qCuenta = "SELECT COUNT(idprod) FROM productos join stock on productos.id_prod=stock.idprod where idcd=$cdent";
	  $cCuenta = mysqli_query($conexion, $qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rCuenta = mysqli_fetch_row($cCuenta))
	  {
	      $cuenta = $rCuenta[0]+1; // Cantidad de Productos para el contador.
	   };
	   if($id_dist==84){
	  $qd = "SELECT id_prod, nombreProd, cantidad FROM productos join stock on productos.id_prod=stock.idprod where idcd=$cdent order by nombreProd asc";
}else{
	$qd = "SELECT id_prod, nombreProd, cantidad FROM productos join stock on productos.id_prod=stock.idprod where idcd=$cdent and (tipoprod=1 or tipoprod=4 or tipoprod=2) order by nombreProd asc";
}
	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
			
			if($continuar!=1){
         
            echo"  <form name=\"Selec_Prod_Pedido\" action=\"otrassalidas2.php\" method=\"post\"> <table border=\"1\">
		
		<tr><td>Nombre:</td><td>$nombrec</td></tr>
		<tr><td>Concepto:</td><td>$concepto</td></tr>
		<tr><td>Autoriza:</td><td>$autoriza</td></tr>
		
		
		</table><bR>Tipo de pago <b>$elpago</b>"; echo"<br><font size=\"+2\">CD de Entrega: <b>$cdent $centroe</b></font><bR>";
		if($pago==2){
		  $q2 = "SELECT * from bancos  WHERE 1 ";
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"<center><br>Banco: <select name = \"banco\">";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
	  
echo"<option value=\"$a0\">$a1 $a2</option>";
	}

		
		echo"
				<option value=\"0\">Otro</option>
			</select>&nbsp;&nbsp;&nbsp; Referencia: <input type=\"text\" name=folio size=\"8\" >&nbsp;&nbsp;&nbsp;  
			Fecha:<input type=\"text\" name=fecha_i size=\"8\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\">";}
			if($pago==3){echo"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Aplica comisi&oacute;n del 4 porciento<br>";}
			
		echo"<br><TABLE CellPadding=5>
			<TR bgcolor=\"#000000\">";   
            
                   
				echo "
				<th><font color=\"#FFFFFF\">Id. Prod.</font></th>
				<th><font color=\"#FFFFFF\">Nombre</th></font>
				<th><font color=\"#FFFFFF\">Existencias</th></font>
				<th><font color=\"#FFFFFF\">Precio</th></font>
								<th><font color=\"#FFFFFF\">Cantidad</th></font>
			</TR>";
			
			$i = 0;
			while($renglon = mysqli_fetch_row($cd))
			{
		
				echo"<tr bgcolor=\"#ffffff\">";
				echo "<td align=\"center\">".$renglon[0]."</td>";
				echo "<input type=hidden name=copia_id_prod$i value=$renglon[0]>";
				echo "<td>".$renglon[1]."</td>";
				echo "<input type=hidden name=copia_nombreProd$i value=$renglon[1]>";
				echo "<td align=\"center\">".$renglon[2]."</td>";
				echo "<input type=hidden name=existencias$i value=$renglon[2]>";
				echo "<td align=\"center\">$<input type=\"text\" name=copia_precio$i size=\"5\" maxlength=\"5\"></td>";
			
			
				echo "<td><input type=\"text\" name=cant$i size=\"5\" maxlength=\"5\"></td>";
								$i++;
				echo"</tr>";
			

			};
					
			echo "<tr bgcolor=\"#ffccff\">
			<td>000</td>
		<input type=hidden name=copia_id_prod$i value=\"190\">
				<td>Flete</td>
				<input type=hidden name=copia_nombreProd$i value=\"Flete\">
				<td>---<input type=hidden name=existencias$i value=\"100\"></td><td>
				$<input type=\"text\" name=copia_precio$i size=\"3\" maxlength=\"3\"></td>
				
				<input type=hidden name=copia_puntos$i value=\"0\">
				
				
				<td><input type=\"text\" name=cant$i size=\"5\" maxlength=\"5\"></td>
								
				</tr>
			
			</table>"; 
			//echo $copia_id_dist;
			echo "<br>
			
			
						<input type='hidden' name='nombresal' value='$nombrec'>
						<input type='hidden' name='conceptosal' value='$concepto'>
						<input type='hidden' name='autorizasal' value='$autoriza'>
						<input type=hidden name=elpago value=$pago>
						<input type=hidden name=copia_cuenta value=$cuenta>
<input type=hidden name=entrega value=\"$cdent\">
						 <input type=hidden name=entreganom value=\"$centroe\">
						
					
			<input type=\"submit\" value=\"Continuar\" name=\"hacer_pedido\">
  		    </form><br><br></body></html>";      }
    
			
		}
			
		}
?>
